Ask Your Question
2

Tidal-MIDI troubleshooting: "WSANOTINITIALISED"

asked 2016-06-16 13:36:02 -0600

cantdomidigood gravatar image

updated 2016-09-06 17:52:16 -0600

lennart gravatar image

I feel that before going any further I should mention that I'm not sure if this is a common issue or not, so if it's not appropriate for the Q&A page I apologize. I lack a lot of the experience in programming environments many people here seem to have, so the solution to this might be something easier than I think.

I've been trying to use Tidal's MIDI module in order to sequence VSTs and drum racks in Ableton by using the LoopBe1 port Mike linked in a Lurk thread some time late last year. The majority of the times I try to start it up though, I'm met with this error (which I can post the entirety of if there's a way for me to copy paste messages). I've been able to get it to work two non-consecutive times, but I honestly couldn't tell you what I did differently for that to happen.

As far as I know, I'm following the instructions on the "Talk MIDI from TidalCycles" section of the HowTos page perfectly, pressing shift enter on each line of the following commands:

import Sound.Tidal.MIDI.Context

displayOutputDevices >>= putStrLn

devices <- midiDevices

m1 <- midiStream devices "LoopBe Internal MIDI" 1 synthController

Can anyone figure out what it is I'm doing incorrectly?

edit retag flag offensive close merge delete

Comments

can you tell us which version of windows you are on? also it would be great to know which version of tidal and tidal midi you are running!

lennart gravatar imagelennart ( 2016-06-16 14:40:16 -0600 )edit

This kind of question is very welcome here, actually anything vaguely tidal-related is fine.

yaxu gravatar imageyaxu ( 2016-06-16 14:57:15 -0600 )edit

Lennart: I'm on Windows 10. My version of Tidal Midi is 0.8. Alex: Thanks for clarifying, it's good to know.

cantdomidigood gravatar imagecantdomidigood ( 2016-06-16 15:25:48 -0600 )edit

what happens if you do not use Tidal MIDI but just Tidal, with e.g. Dirt/SuperDirt?

lennart gravatar imagelennart ( 2016-06-16 15:53:29 -0600 )edit

SuperDirt works perfectly fine. The error only happens when I select a MIDI device.

cantdomidigood gravatar imagecantdomidigood ( 2016-06-16 22:47:14 -0600 )edit

1 answer

Sort by ยป oldest newest most voted
0

answered 2016-09-10 14:48:30 -0600

kindohm gravatar image

I just encountered the same problem today on a new laptop and resolved it. The solution for me was to install the 32-bit version of the Haskell Platform (I had 64-bit installed). I uninstalled the 64-bit version and installed the 32-bit version.

https://www.haskell.org/platform/

Let me know if it works!

edit flag offensive delete link more

Comments

AHHHH I have really been struggling with this can't wait to try when I get home!!!

heavy-lifting gravatar imageheavy-lifting ( 2016-09-15 05:39:12 -0600 )edit

Question Tools

1 follower

Stats

Asked: 2016-06-16 13:36:02 -0600

Seen: 473 times

Last updated: Sep 10 '16